package com.nielsen.sdo.capacitymanagement.ui
{
	import com.nielsen.sdo.capacitymanagement.ui.command.LoginCommand;
	import com.nielsen.sdo.capacitymanagement.ui.command.PopupCommand;
	import com.nielsen.sdo.capacitymanagement.ui.event.LoginEvent;
	import com.nielsen.sdo.capacitymanagement.ui.event.MyPopupEvent;
	import com.nielsen.sdo.capacitymanagement.ui.mediator.LoginMediater;
	import com.nielsen.sdo.capacitymanagement.ui.mediator.PopupMediater;
	import com.nielsen.sdo.capacitymanagement.ui.services.LoginServices;
	import com.nielsen.sdo.capacitymanagement.ui.services.PopupServices;
	import com.nielsen.sdo.capacitymanagement.ui.view.LoginView;
	import com.nielsen.sdo.capacitymanagement.ui.view.Login_form;
	
	import mx.controls.Alert;
	
	import org.robotlegs.mvcs.Context;

	public class LoginContext extends Context
	{
		 override public function startup():void
		 {
			 commandMap.mapEvent(LoginEvent.LOGIN,LoginCommand,LoginEvent);
			 injector.mapSingleton(LoginServices);
			 mediatorMap.mapView(LoginView,LoginMediater);
			 
			 commandMap.mapEvent(MyPopupEvent.POPUP_EVENT,PopupCommand,LoginEvent);
 			 injector.mapSingleton(PopupServices);
 			 mediatorMap.mapView(Login_form,PopupMediater);
			 
		 }
	}
}